Index: channel.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channel.c,v
retrieving revision 1.144
diff -u -r1.144 channel.c
--- channel.c	26 Oct 2004 22:25:42 -0000	1.144
+++ channel.c	31 Oct 2004 14:35:22 -0000
@@ -1556,6 +1556,7 @@
 		ast_log(LOG_DEBUG, "Prodding channel '%s'\n", chan->name);
 		a.subclass = chan->pvt->rawwriteformat;
 		a.data = nothing + AST_FRIENDLY_OFFSET;
+		a.src = "ast_prod";
 		if (ast_write(chan, &a))
 			ast_log(LOG_WARNING, "Prodding channel '%s' failed\n", chan->name);
 	}
Index: channels/chan_agent.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_agent.c,v
retrieving revision 1.88
diff -u -r1.88 chan_agent.c
--- channels/chan_agent.c	26 Oct 2004 22:25:43 -0000	1.88
+++ channels/chan_agent.c	31 Oct 2004 14:35:22 -0000
@@ -1401,6 +1401,7 @@
 									exten = NULL;
 									pos = 0;
 								} else {
+									ast_log(LOG_WARNING, "Extension '%s@%s' is not valid for automatic login of agent '%s'\n", tmpchan, context && !ast_strlen_zero(context) ? context : "default", p->agent);
 									res = ast_streamfile(chan, "invalid", chan->language);
 									if (!res)
 										res = ast_waitstream(chan, AST_DIGIT_ANY);
Index: channels/chan_zap.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_zap.c,v
retrieving revision 1.369
diff -u -r1.369 chan_zap.c
--- channels/chan_zap.c	28 Oct 2004 21:42:39 -0000	1.369
+++ channels/chan_zap.c	31 Oct 2004 14:35:23 -0000
@@ -1208,7 +1208,8 @@
 	return 0;
 }
 
-static void zt_enable_ec(struct zt_pvt *p)
+#define zt_enable_ec(p) __zt_enable_ec(p, __LINE__, __FILE__, __PRETTY_FUNCTION__)
+static void __zt_enable_ec(struct zt_pvt *p, int line, char *file, char *func)
 {
 	int x;
 	int res;
@@ -1229,7 +1230,7 @@
 			ast_log(LOG_WARNING, "Unable to enable echo cancellation on channel %d\n", p->channel);
 		else {
 			p->echocanon = 1;
-			ast_log(LOG_DEBUG, "Enabled echo cancellation on channel %d\n", p->channel);
+			ast_log(LOG_DEBUG, "Enabled echo cancellation on channel %d from %s (%s:%d)\n", p->channel, func, file, line);
 		}
 	} else
 		ast_log(LOG_DEBUG, "No echocancellation requested\n");
@@ -4219,6 +4220,7 @@
 	int index;
 	ast_mutex_lock(&p->lock);
 	index = zt_get_index(chan, p, 0);
+	ast_log(LOG_DEBUG, "Requested indication %d on channel %s\n", condition, chan->name);
 	if (index == SUB_REAL) {
 		switch(condition) {
 		case AST_CONTROL_BUSY:
@@ -6208,7 +6210,7 @@
 					return NULL;
 				}
 				if (p.sigtype != (signalling & 0x3ffff)) {
-					ast_log(LOG_ERROR, "Signalling requested is %s but line is in %s signalling\n", sig2str(signalling), sig2str(p.sigtype));
+					ast_log(LOG_ERROR, "Signalling requested on channel %d is %s but line is in %s signalling\n", channel, sig2str(signalling), sig2str(p.sigtype));
 					destroy_zt_pvt(&tmp);
 					return tmp;
 				}
